Documentation Index

Fetch the complete documentation index at: https://support.keypro.fi/llms.txt

Use this file to discover all available pages before exploring further.

2025-11-06 14.00 UTC - There are currently no active events. All systems operational.

Get list of customer contracts

Prev Next
Get
/customer-contracts/

Operation retrieves list of customer contracts.

Data can be filtered by querystring parameters, e.g. ?CustCons__Customer_id=<pk> or ?CustCons__customer_number=<value>.

Security
API Key: Token
Header parameter nameAuthorization

Token issued for API consumer.

Query parameters
offset
integer

Offset to start returning results.

Minimum0
limit
integer

Limit number of results returned. Set to -1 to use maximum limit set in the environment. Default limit will be used if parameter is not specified. Special value -1 is available from product version 3.2.18.

Minimum1
__any of the object fields__
string

Filters list by selected object field value. Supports structured queries via +__+ delimiter. Supports ending keywords via +__+ delimiter:

  • For string fields: istartswith, startswith, iendswith, endswith, contains, icontains, isnull
  • For numerics: gt, lt, gte, lte, isnull
  • For spatial fields: contains, isnull, within, intersects, disjoint, touches, overlaps, covers, coveredby Examples: +++usage_state__txt__istartswith=in+++ , +++plan__state__txt__startswith=In+++ , +++creation_date__gte=2019-01-02T15:32:01+++, +++location__within=POLYGON ((641503.89 6944059.81, 641406.52 6943933.87, 641369.48 6943772.48, 641474.25 6943704.74, 641873.78 6943735.96, 641848.38 6943975.15, 641607.08 6944167.76, 641653.11 6944102.15, 641503.89 6944059.81))+++ Supports exclusive queries by field value using a not-operator preceding the field lookup: Examples: +++not__type__txt__istartswith=Tie+++ , +++not__id=1390+++
orderby
string

Selects the object field to order the returned objects by. Can be used to sort in reverse order with '-' prefix. Can have several ordering rules separated by comma. Can be used only for object own fields and does not support structured queries. Example: orderby=creator,-creation_date

Responses
200

A result response object

Expand All
object
Next
string (url)

Url to next page of the list if applicable

Previous
string (url)

Url to previous page if applicable, otherwise null

Results
Array of object (CustomerContract)

List of fetched customer contracts

object
Contract_type
object (SnConstants)
groupname
string

Group name of constant. Group name must contain only uppercase letters separated by underscores.

id
integer

Primary key

num_value
integer

Numerical value of the constant

orderno
integer

Order number

txt
string

Human readable textual representation

txt_2
string

Human readable textual representation

value
string

Logical textual value

CustCons
object

Consumer point-customer link

CP_id
integer

Primary key of the consumer point

Customer_id
integer

Primary key of the customer

customer_number
string

Customer number

id
integer

Primary key of the consumer point-customer link

attached_doc_id
integer

Attached document id

contract_number
string

Contract number

end_date
string (date)

Contract end date

id
integer

Primary key

joining_payement
number

Joining payment amount

refund_date
string (date)

Date of refund

refundable
boolean

Whether the joining payment is refundable

start_date
string (date)

Contract start date

Total
integer

Total number of CustomerContract objects

401

Authentication credentials are missing or invalid

{
  "details": "Authentication credentials were not provided"
}
object

Standard error response payload

details
string

Detailed description of error